Pop, Rock
I Want The PanicThe Agenda
UK 2003 (Must... Destroy!! DESTROYER12)Винил. Пластинка; 7"; 45 RPM; Сингл
Rock
SmashThe Offspring
Europe 2017 (Epitaph 6868-1)Винил. Пластинка; LP; Альбом; Переиздание
Next PhaseUbik
US 2019 (Iron Lung Records LUNGS-148)Винил. Пластинка; 12"; 45 RPM; Мини-альбом
Mucky Pup / You Can't Rock And RollPuncture
US 2024 (General Speech zip-02)Винил. Пластинка; 7"; 45 RPM; Сингл
Kick It In (LP Version)Simple Minds
UK 1989 (Virgin SMXT 5)Винил. Пластинка; 12"; 45 RPM; Сингл
Fuck It Up Fuck It Up Fuck It Up EPKamikaze Noise
US 2007 (SPHC SPHC 1-69666)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)Винил. Пластинка; LP; Альбом; Лимитированное издание
Everybody Is Going To HeavenCitiZen
US 2015 (Run For Cover Records (2) RFC131)Винил. Пластинка; LP; Альбом; Repress
DirectionsKnumears
US 2026 (Run For Cover Records (2) RFC314)Винил. Пластинка; 12"; 45 RPM; Альбом
Run Like A Girl
US 2026 (Summer Shade SUM004)Винил. Пластинка; 10"; 45 RPM; EP
ColourmeinkindnessBasement
US 2024 (Run For Cover Records (2) RFC:061)Винил. Пластинка; LP; Альбом; Лимитированное издание
Holy GhostModern Baseball
US 2021 (Run For Cover Records (2) RFC:152)Винил. Пластинка; LP; Альбом; Лимитированное издание
Jazz, Rock
The Organ GrinderFree Nelson Mandoomjazz
UK 2016 (RareNoise Records RNR068LP)Винил. Пластинка; LP; Альбом
Minor ThreatMinor Threat
US 2024 (Dischord Records Dischord 3)Винил. Пластинка; 7"; 45 RPM; EP
Born Again = 悪魔の落とし子Black Sabbath
Japan 1983 (Vertigo 25PP-101)Винил. Пластинка; LP; Альбом
EmbeddedMeathook Seed
UK 1993 (Earache MOSH 88)Винил. Пластинка; LP; Альбом
Fabulous DisasterExodus
US 1989 (Combat 88561-2001-1)Винил. Пластинка; LP; Альбом
Electronic, Rock
This HeatThis Heat
UK 1979 (Piano THIS-1)Винил. Пластинка; LP; Альбом; Стерео
Cause For AlarmAgnostic Front
UK 1986 (Rough Justice JUST 3)Винил. Пластинка; LP; Альбом
StreetcleanerGodflesh
UK 1989 (Earache MOSH 15)Винил. Пластинка; LP; Альбом
Emperor Tomato KetchupStereolab
US 1996 (Elektra 61840-1)Винил. Пластинка; LP; Альбом
EnergyOperation Ivy
US 1995 (Lookout! Records LOOKOUT RECORDS #0000000000010)Винил. Пластинка; LP; Альбом; Переиздание
Mayhem Fuckin' Mayhem (Hardcore 87)Warfare
UK 1986 (Neat Records NEAT 1040)Винил. Пластинка; LP; Альбом
CrossoverDirty Rotten Imbeciles
US 1987 (Restless Records 72201-1)Винил. Пластинка; LP; Альбом; Special Cut
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.